## ros-humble-canopen 0.2.11

=== debian/changelog ===
ros-humble-canopen (0.2.11-4bookworm) bookworm; urgency=high



 -- Christoph Hellmann Santos <christoph.hellmann.santos@ipa.fraunhofer.de>  Sun, 21 Apr 2024 16:00:00 -0000

ros-humble-canopen (0.2.10-4bookworm) bookworm; urgency=high

  * Merge pull request #281 <https://github.com/ros-industrial/ros2_canopen/issues/281> from ipa-vsp/humble
    Sync Humble
  * Merge remote-tracking branch 'industrial/humble' into humble
  * synch humble
  * 0.2.7
  * Update changelog
  * Update ros2_control docs. (#149 <https://github.com/ros-industrial/ros2_canopen/issues/149>)
    * Correct Proxy controller after changes and update docs
    * Update codespellignore
    * Fix tests
    * Fix owns/ons error in tests
    * Fixup tests.
    * Small docs updates.
    * Change tpdo data.
    * Add nmt to the system test.
    * Update doc to prove working tpdo rpdo
    * Fix typo
    * Fix formatting.
    * Optimize docs.
    ---------
    Co-authored-by: Christoph Hellmann Santos <mailto:christoph.hellmann.santos@ipa.fraunhofer.de>
    Co-authored-by: Xi Huang <mailto:sam.xihuang@gmail.com>
  * [ros2controllers] Correct Proxy controller after changes and update tests. (#148 <https://github.com/ros-industrial/ros2_canopen/issues/148>)
    * Correct Proxy controller after changes and update docs
    * Update codespellignore
    * Fix tests
    * Fix owns/ons error in tests
    * Fixup tests.
    ---------
    Co-authored-by: Christoph Hellmann Santos <mailto:christoph.hellmann.santos@ipa.fraunhofer.de>
  * Add missing license headers and activate ament_copyright (#165 <https://github.com/ros-industrial/ros2_canopen/issues/165>)
    * Add missing license headers
    * Add fix ament_lint_cmake
    ---------
  * 0.2.6
  * Update changelogs
  * 0.2.5
  * Update changelogs
  * 0.2.4
  * Update changelog
  * 0.2.3
  * Update Changelogs
  * 0.2.2
  * Update Changelogs
  * 0.2.7
  * Update changelog
  * Update ros2_control docs. (#149 <https://github.com/ros-industrial/ros2_canopen/issues/149>)
    * Correct Proxy controller after changes and update docs
    * Update codespellignore
    * Fix tests
    * Fix owns/ons error in tests
    * Fixup tests.
    * Small docs updates.
    * Change tpdo data.
    * Add nmt to the system test.
    * Update doc to prove working tpdo rpdo
    * Fix typo
    * Fix formatting.
    * Optimize docs.
    ---------
    Co-authored-by: Christoph Hellmann Santos <mailto:christoph.hellmann.santos@ipa.fraunhofer.de>
    Co-authored-by: Xi Huang <mailto:sam.xihuang@gmail.com>
  * [ros2controllers] Correct Proxy controller after changes and update tests. (#148 <https://github.com/ros-industrial/ros2_canopen/issues/148>)
    * Correct Proxy controller after changes and update docs
    * Update codespellignore
    * Fix tests
    * Fix owns/ons error in tests
    * Fixup tests.
    ---------
    Co-authored-by: Christoph Hellmann Santos <mailto:christoph.hellmann.santos@ipa.fraunhofer.de>
  * Add missing license headers and activate ament_copyright (#165 <https://github.com/ros-industrial/ros2_canopen/issues/165>)
    * Add missing license headers
    * Add fix ament_lint_cmake
    ---------
  * 0.2.6
  * Update changelogs
  * 0.2.5
  * Update changelogs
  * 0.2.4
  * Update changelog
  * 0.2.3
  * Update Changelogs
  * 0.2.2
  * Update Changelogs
  * Sync humble branch with 0.2.1 release  (#153 <https://github.com/ros-industrial/ros2_canopen/issues/153>)
    * Update rolling.yml
    * Merge pull request #152 <https://github.com/ros-industrial/ros2_canopen/issues/152> from ros-industrial/fix-bdist-dep-in-lely-core
    Do not build dcf-tools bdist in lely_core_libraries
    * Merge pull request #142 <https://github.com/ros-industrial/ros2_canopen/issues/142> from ros-industrial/iron-test-fixes-controllers
    Don't use ros2_control_test_assets since not needed anymore. Add load tests for all controllers.
    * Merge pull request #145 <https://github.com/ros-industrial/ros2_canopen/issues/145> from ros-industrial/consistent-output-of-hex-values
    Use consistenlty (uppercase) HEX output for NodeID and Index.
    * Merge pull request #151 <https://github.com/ros-industrial/ros2_canopen/issues/151> from ros-industrial/upgrade-launch-tests
    Fix proxy driver lifecyle and launch tests
    * Update Changelogs
    * 0.2.1
    * Fix build warnings
    * Update status badge.
    ---------
    Co-authored-by: Christoph Hellmann Santos <mailto:51296695+ipa-cmh@users.noreply.github.com>
    Co-authored-by: Christoph Hellmann Santos <mailto:christoph.hellmann.santos@ipa.fraunhofer.de>
  * 0.2.1
  * Update Changelogs
  * Merge pull request #144 <https://github.com/ros-industrial/ros2_canopen/issues/144> from ipa-vsp/humble
    Sync humble with Beta (0.2.0) release
  * 0.2.0
  * Update changelog
  * set versions
  * Update changelofs
  * Merge branch 'StoglRobotics-forks-use-can-interface-name-consistently'
  * Documentation for beta release (#127 <https://github.com/ros-industrial/ros2_canopen/issues/127>)
    * Add documenation for cia301
    * Update ros2-control-interface.rst
    Fix some format problems... Still have issue showing the example code
    * Update ros2-control-interface.rst
    Make the code rending okay.. Still have issues with the code blocks
    * Update ros2-control-interface.rst
    Minor changes
    * Fix the format so that it builds
    * Update ros2-control-interface.rst
    * Update ros2-control-interface.rst
    * Update configuration section
    * Update configuration in documentation
    * Update structure
    * Application demos: trinamic stepper motor
    * fix formatting and typo
    * Integrate the documentation from the master branch
    * Update ros2-control-interface.rst
    * Application demos: PRBT robot with ros2_canopen
    * Rename and add to index
    ---------
    Co-authored-by: Xi Huang <mailto:sam.xihuang@gmail.com>
    Co-authored-by: Vishnuprasad Prachandabhanu <mailto:vishnu.pbhat93@gmail.com>

