=== debian/control ===
Source: ros-humble-canopen
Section: misc
Priority: optional
Maintainer: Christoph Hellmann Santos <christoph.hellmann.santos@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-canopen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-canopen-402-driver, ros-humble-canopen-base-driver, ros-humble-canopen-core, ros-humble-canopen-interfaces, ros-humble-canopen-proxy-driver, ros-humble-lely-core-libraries, ros-humble-ros-workspace
Description: Meta-package aggregating the ros2_canopen packages and documentation
